en Otros

LyX 1.6.7, última versión antes de la 2.0

El chiste de Mel del martes 17 de agosto de 2010

Puede que sólo sea una impresión mía, pero últimamente parece como si todo, absolutamente todo, tuviera que ser rápido y fácil de usar: “enchufar y listo”, “hable inglés en dos semanas”, “toque la zambomba como un experto desde el primer día”, “hable esperanto como un nativo en tres cuartos de hora”. Lo dicho, como si esforzarse por aprender a hacer algo que costara más de quince días estuviera mal visto o fuera una vergüenza.

Algo de razón tienen porque, a ver, seamos sinceros, existiendo procesadores de texto WYSIWYG fáciles de usar, como pueden ser el Microsoft Word o el OpenOffice Writer, ¿qué justifica usar un “compilador de textos” WYSIWYM con una curva de aprendizaje tan elevada como LaTeX?

Supongo que las mismas razones que explican que todavía haya gente que escriba con pluma estilográfica, que se empeñe en aprender Octave existiendo Matlab o Mathematica, que siga utilizando calculadoras HP con RPN existiendo otras mucho más fáciles de usar o, geotécnicamente hablando, que se empeñe en calcular asientos de consolidación unidimensional o módulos de balasto en lugar de buscarlos en una tabla o inventarlos directamente (como hacen muchos)… una mezcla a partes iguales de cabezonería + individualismo + nostalgia + “si es que hay gente pa tó” (como dijo el torero al conocer al ilustre filósofo) + “cada uno es como es y cada quién es cada cual” (esto lo cantó muy bien Serrat).

No escribo con LaTeX (nadie es perfecto), pero intento aprovechar casi todas sus ventajas escribiendo con LyX, y de eso trata esta entrada, justamente, de LyX, porque hace unos días se presentó la versión 1.6.7 y todo indica que será la última versión antes de la esperada y definitiva 2.0.

Desde la página web oficial garantizan que han corregido todos los fallos detectados en la versión anterior (de mediados de mayo) y que se trata de una versión “estable”. Si alguien quiere probarla le recomiendo la versión “alternativa”. Es la más fácil de instalar e incluye todos los programas necesarios. Eso si, recomiendo también que se lea los manuales y se arme de paciencia, va a necesitar ambas cosas para aprender a usarlo.

Para los impacientes, Un Bioinformatiquillo explica cómo instalar la versión 2.0alpha3 en Ubuntu, por si no puede esperarse a la versión 2.0 estable definitiva, prevista para septiembre, en principio. Personalmente, no uso versiones alpha, utilizo LyX para trabajos e informes técnicos y no me gusta pensar que puedo perder lo que estoy escribiendo (¡¡ horror !!), pero lo que anuncian en LyX Wiki para la versión 2.0 tiene muy buena pinta.

Por cierto, el corrector ortográfico no funciona muy bien, así que si eres de los que le echa la culpa al corrector del Word cuando aparece una errata, despídete de LyX, esto no es lo tuyo.

Más información:

Escribe un comentario

Comentario

  1. Lyx está muy bien, pero yo deje de usarlo por un sencillo motivo. Tras tener escrito una buena cantidad de cosas en un archivo que funcionaba perfectamente, un día al compilar me dio un error. De esos errores latas que da LATEX y que o sabes LATEX de verdad o no lo adivina ni su madre.

    Al final me toco cargarme toda la parte que escribi ese día (que era bastante) y volver a empezar por donde iba. Y entonces volvió a funcionar.

    Y no es ni la primera vez que me lo hacia ni la segunda, entre eso, y no poder compilar usando fuentes .ttf fue el motivo por el que deje de usar Lyx.

    ¡¡Espero que lo solucionen en la 2.0!!

  2. Pues si anónimo, es cierto, a mi también me ha pasado eso alguna que otra vez. Al final lo he conseguido solucionar, no sin esfuerzo, pero hay que reconocer que los mensajes de error de LyX son muy malos, mucho.

    Bioinformatiquillo, ha sido un placer, sigo tu blog desde hace tiempo, es muy bueno, sigue así.